{ lib, fetchFromGitLab, kernel }:

kernel.stdenv.mkDerivation rec {
  pname = "ryzen_smu";
  version = "0.1.1";

  src = fetchFromGitLab {
    owner = "leogx9r";
    repo = pname;
    rev = "v${version}";
    sha256 = "sha256-1VxpJKKl/Og7Q6NpJ3Y+i8U9RKZkTCjv6LJzsLOC5vk=";
  };

  hardeningDisable = [ "pic" ];

  nativeBuildInputs = kernel.moduleBuildDependencies;

  makeFlags = [
    "KERNEL_MODULES=${kernel.dev}/lib/modules/${kernel.modDirVersion}"
  ];

  installPhase = ''
    install -D ryzen_smu.ko $out/lib/modules/${kernel.modDirVersion}/misc/ryzen_smu.ko
  '';

  meta = with lib; {
    description = "A kernel driver exposing access to the SMU of certain AMD Ryzen processors";
    homepage = src.meta.homepage;
    license = licenses.gpl2;
    maintainers = with maintainers; [ aw ];
    platforms = [ "x86_64-linux" ];
  };
}
